<template>
  <div class="mqtt-gateway">
    <el-form :model="mqttForm" ref="mqttForm">
      <div class="title form-item">网络设置</div>

      <el-form-item class="form-item">
             <switchBar
            :barName="`MOTT网关`"
            :value="accessible"
          ></switchBar>
      </el-form-item>

      <div class="block">
        <el-form-item class="form-item">
              <div class="item-title">IP地址</div>
              <div class="inputContain">
              <ipInput
                  :ip="mqttForm.ip"
                  @on-blur="mqttForm.ip = arguments[0]"
              ></ipInput>
              </div>
        </el-form-item>

        <el-form-item class="form-item">
              <div class="item-title">端口号</div>
              <div class="inputContain">
              <ipInput
                  :ip="mqttForm.port"
                  @on-blur="mqttForm.port = arguments[0]"
              ></ipInput>
              </div>
        </el-form-item>
      </div>

      <div class="block">
        <el-form-item class="form-item">
              <div class="item-title">名称</div>
              <div class="inputContain">
                <el-input
                  v-model="mqttForm.name"
                  placeholder="请输入用户名"
                  size="small"
                ></el-input>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">密码</div>
              <div class="inputContain">
                <el-input
                  v-model="mqttForm.password"
                  placeholder="请输入密码"
                  size="small"
                  show-password
                  auto-complete="new-password"
                ></el-input>
              </div>
          </el-form-item>
      </div>

      <div class="block">
        <el-form-item class="form-item">
          <switchBar
            :barName="`MOTT网关`"
            :value="accessible"
          ></switchBar>
        </el-form-item>
      </div>
    </el-form>

    <div class="ok">保存</div>
  </div>
</template>

<script>
import ipInput from "../components/IPInput";
import switchBar from "../components/switchBar";
export default {
  name:"mqttGateway",
  data(){
    return {
      accessible: false,
      mqttForm:{
        ip:"",
        port:"",
        name:"",
        password:""
      }
    }
  },
  components :{
        switchBar,
        ipInput
    }
}
</script>

<style scoped lang="scss">
@import '../asset/common.scss';
  .mqtt-gateway {
      display: flex;
      flex-direction: column;
      .block {
        margin-top: 16px;
      }
  }
</style>